#include <stdio.h>
int main()
{
    int n, p, i, q=-1;
    scanf("%d%d", &n, &p);
    int h[n];
    for(i=0;i<n;i++)
    {
        scanf("%d", &h[i]);
    }
    for(i=0;i<n;i++)
    {
        if(h[i]<=p)
        {
            q=i+1;
            i=n;
        }
    }
    printf("%d", q);
    return 0;
}